|  | Home | Documentation | ds__KeyInfoType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
ds__KeyInfoType Struct Reference

Imported complexType "http://www.w3.org/2000/09/xmldsig#":KeyInfoType from typemap WS/WS-typemap.dat. More...

`#include <xenc.h>`

Collaboration diagram for ds__KeyInfoType:
[legend]

## Public Attributes

char * | KeyName
struct ds__KeyValueType * | KeyValue
struct ds__RetrievalMethodType * | RetrievalMethod
struct ds__X509DataType * | X509Data
struct _wsse__SecurityTokenReference * | wsse__SecurityTokenReference
char * | Id
struct xenc__EncryptedKeyType * | xenc__EncryptedKey

## Detailed Description

Imported complexType "http://www.w3.org/2000/09/xmldsig#":KeyInfoType from typemap WS/WS-typemap.dat.

## Member Data Documentation

## ◆ Id

char* ds__KeyInfoType::Id

## ◆ KeyName

char* ds__KeyInfoType::KeyName

## ◆ KeyValue

struct ds__KeyValueType* ds__KeyInfoType::KeyValue

## ◆ RetrievalMethod

struct ds__RetrievalMethodType* ds__KeyInfoType::RetrievalMethod

## ◆ wsse__SecurityTokenReference

struct _wsse__SecurityTokenReference* ds__KeyInfoType::wsse__SecurityTokenReference

## ◆ X509Data

struct ds__X509DataType* ds__KeyInfoType::X509Data

## ◆ xenc__EncryptedKey

struct xenc__EncryptedKeyType* ds__KeyInfoType::xenc__EncryptedKey

The documentation for this struct was generated from the following files:

- ds.h
- xenc.h